Pdx (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.management.configuration

## Class Pdx

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheElement
  - - org.apache.geode.management.configuration.Pdx

- All Implemented Interfaces:
    Serializable, Identifiable<String>, CorrespondWith<RuntimeInfo>, JsonSerializable, RestfulEndpoint

      @Experimental
      public class Pdx
      extends CacheElement
      implements RestfulEndpoint, CorrespondWith<RuntimeInfo>

  Configuration Objects for Pdx in the cache
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PDX_ENDPOINT`
    `static String` | `PDX_ID`

    - ### Fields inherited from class org.apache.geode.cache.configuration.CacheElement

      `CLUSTER, groups`

    - ### Fields inherited from interface org.apache.geode.management.api.RestfulEndpoint

      `URI_CONTEXT, URI_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pdx()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDiskStoreName()`
    `String` | `getEndpoint()` this returns the URI that display the list of entries.
    `String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `String` | `getIdentityEndPoint()` return the uri that points to a single entity.
    `ClassName` | `getPdxSerializer()`
    `boolean` | `isIgnoreUnreadFields()`
    `boolean` | `isPersistent()`
    `boolean` | `isReadSerialized()`
    `void` | `setDiskStoreName(String diskStoreName)`
    `void` | `setGroup(String group)`
    `void` | `setIgnoreUnreadFields(boolean ignoreUnreadFields)`
    `void` | `setPdxSerializer(ClassName pdxSerializer)`
    `void` | `setPersistent(boolean persistent)`
    `void` | `setReadSerialized(boolean readSerialized)`

    - ### Methods inherited from class org.apache.geode.cache.configuration.CacheElement

      `addGroup, exists, findElement, getConfigGroup, getGroup, getGroups, removeElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.management.api.RestfulEndpoint

      `getUri`

    - ### Methods inherited from interface org.apache.geode.management.api.CorrespondWith

      `getRuntimeClass, hasRuntimeInfo, isGlobalRuntime`

- - ### Field Detail

    - #### PDX_ID

          public static final String PDX_ID

      See Also:
        Constant Field Values

    - #### PDX_ENDPOINT

          public static final String PDX_ENDPOINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Pdx

          public Pdx()

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Specified by:
        `getId` in interface `Identifiable<String>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getEndpoint

          public String getEndpoint()

      Description copied from interface: `RestfulEndpoint`
      this returns the URI that display the list of entries. it should return URI the part after /experimental
      Specified by:
        `getEndpoint` in interface `RestfulEndpoint`
      Returns:
        e.g. /regions

    - #### getIdentityEndPoint

          public String getIdentityEndPoint()

      Description copied from interface: `RestfulEndpoint`
      return the uri that points to a single entity. If the id is not available for the object, this will return null it should return the URI part after /experimental
      Specified by:
        `getIdentityEndPoint` in interface `RestfulEndpoint`
      Returns:
        e.g. /regions/regionA

    - #### setGroup

          public void setGroup(String group)

      Overrides:
        `setGroup` in class `CacheElement`

    - #### isReadSerialized

          public boolean isReadSerialized()

    - #### setReadSerialized

          public void setReadSerialized(boolean readSerialized)

    - #### getPdxSerializer

          public ClassName getPdxSerializer()

    - #### setPdxSerializer

          public void setPdxSerializer(ClassName pdxSerializer)

    - #### isIgnoreUnreadFields

          public boolean isIgnoreUnreadFields()

    - #### setIgnoreUnreadFields

          public void setIgnoreUnreadFields(boolean ignoreUnreadFields)

    - #### isPersistent

          public boolean isPersistent()

    - #### setPersistent

          public void setPersistent(boolean persistent)

    - #### getDiskStoreName

          public String getDiskStoreName()

    - #### setDiskStoreName

          public void setDiskStoreName(String diskStoreName)